Subject: FAIL: asyncs.test: preemption via sigprof (nondeterministic test failure)

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 22 Nov 2023 09:00:57 -0500

Hi,

I'm sometimes getting this test failure when running on the tip of the
main branch, commit: d579848cb.

The test does not seem to fail when run individually (via './meta/guile
-L test-suite -L . test-suite/tests/asyncs.test').

Guile was configured using './configure --enable-mini-gmp'.

It seems relatively rare on my 4 cores system, using something like
'make check -j5'.  I've just re-run the test suite 4 times without the
problem.  I've seen it at least twice in the last 3 weeks though, so I'm
reporting it.

-- 
Thanks,
Maxim